Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Mac 7300/200 will not compile
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
babo
Guru
Guru


Joined: 10 Aug 2004
Posts: 477
Location: Ljubljana

PostPosted: Tue Aug 10, 2004 1:57 pm    Post subject: Mac 7300/200 will not compile Reply with quote

I've been trying to make gentoo work on an old 7300/200 macintosh and I've made it ok, till you enter scripts/bootstrap-cascade.sh
it starts, but soon reports some errors like "expected coma after ".LC1" and then: warning: rest of the line ignored.

I used 2004.1 live cd, and can not make it work.

Any ideas?

Do I need to have an older livecd

I noticed there is no g3 kernel which should be used for oldworld machines on cd, so I tried it with g4. But as i read this is also possible.
Back to top
View user's profile Send private message
babo
Guru
Guru


Joined: 10 Aug 2004
Posts: 477
Location: Ljubljana

PostPosted: Wed Aug 11, 2004 10:31 am    Post subject: Reply with quote

ok, I'll try to ask another way:

Did anyone succed installing gentoo on oldworld machine from 2004.1 livecd?
Back to top
View user's profile Send private message
lostdave
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jun 2004
Posts: 85
Location: Leeds, UK

PostPosted: Wed Aug 11, 2004 12:12 pm    Post subject: Reply with quote

I think it has been done, but its a damn site easier to do it from the 1.4-minimal and just download recent stages.
Back to top
View user's profile Send private message
babo
Guru
Guru


Joined: 10 Aug 2004
Posts: 477
Location: Ljubljana

PostPosted: Wed Aug 11, 2004 3:17 pm    Post subject: Reply with quote

I've tryed from 1.4 universal, couse that's what I found and I can't even type root, couse the keybord doesn't work.
I'm loosing the patience to install gentoo. There is no g3 kernel in 2004.1 cd aldo you have it writen in instructions that there is a g3 kernel on cd. And now I can't even type when I start 1.4 livecd.
hmm :?
Back to top
View user's profile Send private message
lostdave
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jun 2004
Posts: 85
Location: Leeds, UK

PostPosted: Wed Aug 11, 2004 6:26 pm    Post subject: Reply with quote

Having read your first post properly, have you tryed with the standard bootsrap.sh, rather than bootstrap-cascade.sh?

Beyond that I don't know what to suggest. My old-world install went pretty much without a hitch, excepting the inability to boot 2.6 kernels on it. Maybe Enrique's page at www.rockhopper.dk may be of some assistance.
Back to top
View user's profile Send private message
babo
Guru
Guru


Joined: 10 Aug 2004
Posts: 477
Location: Ljubljana

PostPosted: Wed Aug 11, 2004 7:51 pm    Post subject: Reply with quote

thank you, and I havent tryed with bootstrap-sh. I'll try it now. It's nice to see it worked with you. What cd did you use?
Back to top
View user's profile Send private message
babo
Guru
Guru


Joined: 10 Aug 2004
Posts: 477
Location: Ljubljana

PostPosted: Thu Aug 12, 2004 11:57 am    Post subject: Reply with quote

well, the same thing happens with scripts/bootstrap.sh

the message I get is:

Code:
Checking truncate argument type... off_t
Checking libc version... libc.so.6
Checking glibc subversion... 2.3

gcc   -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -Wall -c libsandbox.c
/var/tmp/portage/portage-2.0.50-r9/temp/ccphNsQN.s: Assembler messages:
/var/tmp/portage/portage-2.0.50-r9/temp/ccphNsQN.s:3367: Error: unknown pseudo-op: `.lc1'
/var/tmp/portage/portage-2.0.50-r9/temp/ccphNsQN.s:4883: Error: unknown pseudo-op: `.lc2'
/var/tmp/portage/portage-2.0.50-r9/temp/ccphNsQN.s:5865: Warning: rest of line ignored; first ignored character is `5'
make: *** [libsandbox.o] Error 1

!!! ERROR: sys-apps/portage-2.0.50-r9 failed.
!!! Function src_compile, Line 69, Exitcode 2
!!! (no error message)


don't know where I'm making a mistake :?
Back to top
View user's profile Send private message
rudefyet
n00b
n00b


Joined: 26 Dec 2003
Posts: 20

PostPosted: Tue Aug 17, 2004 7:45 pm    Post subject: Reply with quote

what are your CFLAGS?
Back to top
View user's profile Send private message
babo
Guru
Guru


Joined: 10 Aug 2004
Posts: 477
Location: Ljubljana

PostPosted: Wed Aug 18, 2004 8:27 am    Post subject: Reply with quote

they were:
CFLAGS="-O3 -mcpu=powerpc -pipe"

but I'm not shure that's right. How should they be set?
Back to top
View user's profile Send private message
lostdave
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jun 2004
Posts: 85
Location: Leeds, UK

PostPosted: Wed Aug 18, 2004 6:35 pm    Post subject: Reply with quote

-mcpu doesn't work on 60x era powerpc chips, and its wise to put in -fsigned-char
Back to top
View user's profile Send private message
babo
Guru
Guru


Joined: 10 Aug 2004
Posts: 477
Location: Ljubljana

PostPosted: Wed Aug 18, 2004 9:32 pm    Post subject: Reply with quote

thank you
I read that also, but the same problem ocured, so as I couldn't install with 1.4 cd I tryed with 1.2 and an hour ago I installed :D
well, ssh doesn't work, and I can't get anything to emerge, but as I said IT WORKS :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum